%define name	gnome-applets
%define version	1.2.1
%define release 6mdk

%define	prefix		%{_prefix}
%define sysconfdir	%{_sysconfdir}
%define	localstatedir	%{_localstatedir}

Release:	%{release}

Summary:	Small applications which embed themselves in the GNOME panel
Name:		%{name}
Version: 	%{version}
Copyright:	GPL
Group:		Graphical desktop/GNOME
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/unstable/%{name}/%{name}-%{version}.tar.bz2
Source1:	better-french-translation.tar.bz2
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: gnome-core-devel >= 1.1.9 XFree86-devel ORBit-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel gdk-pixbuf-devel libghttp-devel libgtop-devel libjpeg-devel gnome-core libpng-devel libtiff-devel libxml-devel zlib-devel 
Docdir:		%{_docdir}
Requires:	libxml
Requires:	libgtop
Requires:	libghttp
BuildRequires:	libghttp-devel
Requires:	gdk-pixbuf >= 0.7.0
Requires:	gnome-libs >= 1.0.60

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on Open Source
software.  The gnome-applets package provides Panel applets which
enhance your GNOME experience.

You should install the gnome-applets package if you would like to abuse the
GNOME desktop environment by embedding small utilities in the GNOME panel.

%prep
%setup -q -n %{name}-%{version} -a 1

%build
%configure
%{make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %{name}

rm -f $RPM_BUILD_ROOT%{prefix}/share/applets/Utility/gnotes_applet.desktop
rm -f $RPM_BUILD_ROOT%{prefix}/share/applets/Utility/bug-applet.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
#%{prefix}/lib/gumma
%{_datadir}/applets/*
#%{prefix}/share/bug-applet
%{_datadir}/clockmail
%{_datadir}/asclock
%{_datadir}/geyes
%{_datadir}/gnome/help/*
%{_datadir}/gweather
%{_datadir}/odometer
%{_datadir}/pixmaps/*
%{_datadir}/sound-monitor
%{_datadir}/tickastat
%{_datadir}/xmodmap
#%{_datadir}/locale/*
%config %{sysconfdir}/CORBA/servers/*

%changelog
* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.2.1-6mdk
- fixed langs
- fixed build root
- I don't think we should put noreplace for gnorba files...
  (must be on par with the app and must not be edited by the user)

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.1-5mdk
- automatically added BuildRequires

* Wed Jul 26 2000 dam's <damien@mandrakesoft.com> 1.2.1-4mdk
- spec cleanup.
- corrected bad localstatedir

* Tue Jul 25 2000 P'tit Lu <ptitlu@mandrakesoft.com> 1.2.1-3mdk
- Improve French translation.

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.2.1-2mdk
- BM + macrozification.

* Tue Jun 13 2000 dam's <damien@mandrakesoft.com> 1.2.1-1mdk
- update from helix version.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.9-3mdk
- BuildRequires: libghttp-devel

* Wed May 17 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.9-2mdk
- add build require to recent gnome version

* Tue Apr 25 2000 dam's <damien@mandrakesoft.com> 1.1.9-1mdk
- first mandrake release from helix code.
